#!/bin/awk -f
# Take a list of filenames and convert the SCG/GDC extent into
# 	a sortable format. See create_names.awk for undoing this
#	conversions.
#
# Modif J.S.Charters Jan96  Add ability to process two dumps
#	in one day.  Handle the file.95jan04.1 format.
#
BEGIN{
FS="."
}
{

	if (FILETYPE == $1) {
		year = substr($2,1,2);
		month = substr($2,3,3);
		day = substr($2,6,2);
		if (NF >= 3) {
			extent = $3;
		} else {
			extent = 0;
		}
	} else {
		next;
	}
	if ( month == "jan") {
		mnth = 1;
	} else 
	if ( month == "feb") {
		mnth = 2;
	} else
	if ( month == "mar") {
		mnth = 3;
	} else
	if ( month == "apr") {
		mnth = 4;
	} else
	if ( month == "may") {
		mnth = 5;
	} else
	if ( month == "jun") {
		mnth = 6;
	} else
	if ( month == "jul") {
		mnth = 7;
	} else
	if ( month == "aug") {
		mnth = 8;
	} else
	if ( month == "sep") {
		mnth = 9;
	} else
	if ( month == "oct") {
		mnth = 10;
	} else
	if ( month == "nov") {
		mnth = 11;
	} else
	if ( month == "dec") {
		mnth = 12;
	} else {
		next;
	}
	printf "%02d%02d%02d%02d.%s\n",year,mnth,day,extent,FILETYPE
}
